org.apache.maven.plugins.shade.relocation

## Interface Relocator

All Known Implementing Classes:
  SimpleRelocator

    public interface Relocator

Author:
  Jason van Zyl

### Field Summary

Fields
`static String` `ROLE`

### Method Summary

Methods
`boolean` `canRelocateClass(String clazz)`
`boolean` `canRelocatePath(String clazz)`
`String` `relocateClass(String clazz)`
`String` `relocatePath(String clazz)`

### Field Detail

#### ROLE

    static final String ROLE

### Method Detail

#### canRelocatePath

    boolean canRelocatePath(String clazz)

#### relocatePath

    String relocatePath(String clazz)

#### canRelocateClass

    boolean canRelocateClass(String clazz)

#### relocateClass

    String relocateClass(String clazz)